Skip to main content
GET
/
api
/
v1
/
workspace
/
{workspaceId}
/
secret-snapshots
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/workspace/{workspaceId}/secret-snapshots \
  --header 'Authorization: Bearer <token>'
{
  "secretSnapshots": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

workspaceId
string
required

The ID of the project to get snapshots from.

Query Parameters

environment
string
required

The environment to get snapshots from.

path
string
default:/

The secret path to get snapshots from.

offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th snapshot.

limit
number
default:20

The number of snapshots to return.

Response

Default Response

secretSnapshots
object[]
required